jQuery(document).ready(function ($) {
    $(".celp_dismiss_notice").on("click", function (event) {
        var $this = $(this);
        var wrapper = $this.parents(".celp-feedback-notice-wrapper");
        var ajaxURL = wrapper.data("ajax-url");
        var nonce = wrapper.data("ajax-nonce");
        var ajaxCallback = wrapper.data("ajax-callback");
        
        $.post(ajaxURL, { 
            "action": ajaxCallback, 
            "nonce": nonce 
        }, function(data) {
            wrapper.slideUp("fast");
        }, "json");
    });
});